### Hierarchy

- DOMTokenList

### Indexable

[index: number]: string

## Index

### Properties

- length
- value

### Methods

- add
- contains
- forEach
- item
- remove
- replace
- supports
- toggle

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3764

Returns the number of tokens.

### value

value: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3769

Returns the associated set as string. Can be set, to change the associated attribute.

## Methods

### add

- add(...tokens: string[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3777

  Adds all arguments passed, except those already present. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### Rest ...tokens: string[]

  #### Returns void

### contains

- contains(token: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3781

  Returns true if token is present, and false otherwise.

  #### Parameters

  - ##### token: string

  #### Returns boolean

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3810

  #### Parameters

  - ##### callbackfn: function

    - - (value: string, key: number, parent: DOMTokenList): void

      - #### Parameters

        - ##### value: string

        - ##### key: number

        - ##### parent: DOMTokenList

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### item

- item(index: number): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3785

  tokenlist[index]

  #### Parameters

  - ##### index: number

  #### Returns string | null

### remove

- remove(...tokens: string[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3793

  Removes arguments passed, if they are present. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### Rest ...tokens: string[]

  #### Returns void

### replace

- replace(oldToken: string, newToken: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3802

  Replaces token with newToken. Returns true if token was replaced with newToken, and false otherwise. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### oldToken: string

  - ##### newToken: string

  #### Returns void

### supports

- supports(token: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3808

  Returns true if token is in the associated attribute's supported tokens. Returns false otherwise. Throws a TypeError if the associated attribute has no supported tokens defined.

  #### Parameters

  - ##### token: string

  #### Returns boolean

### toggle

- toggle(token: string, force?: undefined | false | true): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3809

  #### Parameters

  - ##### token: string

  - ##### Optional force: undefined | false | true

  #### Returns boolean

Generated using TypeDoc